From 7a4fec64628e966763ac591a25e5caae074b6d92 Mon Sep 17 00:00:00 2001
Message-Id: <7a4fec64628e966763ac591a25e5caae074b6d92.1349175436.git.minovotn@redhat.com>
In-Reply-To: <94968b7fa9b14e71f004474d7ce77e189e6a2bf3.1349175436.git.minovotn@redhat.com>
References: <94968b7fa9b14e71f004474d7ce77e189e6a2bf3.1349175436.git.minovotn@redhat.com>
From: Eduardo Habkost <ehabkost@redhat.com>
Date: Fri, 28 Sep 2012 16:50:10 +0200
Subject: [PATCH 06/34] Eliminate cpus-x86_64.conf file (v2)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Eduardo Habkost <ehabkost@redhat.com>
Message-id: <1348851023-31907-6-git-send-email-ehabkost@redhat.com>
Patchwork-id: 42503
O-Subject: [RHEL6 qemu-kvm PATCH 05/18] Eliminate cpus-x86_64.conf file (v2)
Bugzilla: 833152
RH-Acked-by: Alex Williamson <alex.williamson@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Igor Mammedov <imammedo@redhat.com>

Bugzilla: 833152

This file is not needed anymore, as QEMU won't ship any config-based
cpudefs out of the box, relying only on the builtin CPU models.

Signed-off-by: Eduardo Habkost <ehabkost@redhat.com>
Reviewed-by: Igor Mammedov <imammedo@redhat.com>
Signed-off-by: Andreas Färber <afaerber@suse.de>
(cherry picked from commit ba6212d8a809b89151a9d76b452b814836474029)

Conflicts:
	Makefile
	arch_init.c
	sysconfigs/target/cpu-x86_64.conf

RHEL-6 patch comments:

The RHEL-6 implementation of the cpus-x86_64.conf support was very
different, so this is eliminating a difference between the RHEL-6 and
upstream code.

This patch also includes spec file changes to not package the
cpu-x86_64.conf file anymore.

Changes v1 -> v2:
 - Delete sysconfigs/target/cpu-x86_64.conf file from the tree

Signed-off-by: Eduardo Habkost <ehabkost@redhat.com>
---
 Makefile                          | 6 +-----
 configure                         | 9 ---------
 sysconfigs/target/cpu-x86_64.conf | 1 -
 vl.c                              | 8 --------
 6 files changed, 1 insertion(+), 29 deletions(-)
 delete mode 100644 sysconfigs/target/cpu-x86_64.conf

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 Makefile                          | 6 +-----
 configure                         | 9 ---------
 sysconfigs/target/cpu-x86_64.conf | 1 -
 vl.c                              | 8 --------
 6 files changed, 1 insertion(+), 29 deletions(-)
 delete mode 100644 sysconfigs/target/cpu-x86_64.conf

diff --git a/Makefile b/Makefile
index e741c6f..9044017 100644
--- a/Makefile
+++ b/Makefile
@@ -359,11 +359,7 @@ ifdef CONFIG_POSIX
 	$(INSTALL_DATA) qemu-nbd.8 "$(DESTDIR)$(mandir)/man8"
 endif
 
-install-cpuconfig:
-	$(INSTALL_DIR) "$(DESTDIR)$(cpuconfdir)"
-	$(INSTALL_DATA) $(SRC_PATH)/sysconfigs/target/cpu-x86_64.conf "$(DESTDIR)$(cpuconfdir)"
-
-install: all $(if $(BUILD_DOCS),install-doc) install-cpuconfig
+install: all $(if $(BUILD_DOCS),install-doc)
 	$(INSTALL_DIR) "$(DESTDIR)$(bindir)"
 ifneq ($(TOOLS),)
 	$(INSTALL_PROG) $(STRIP_OPT) $(TOOLS) "$(DESTDIR)$(bindir)"
diff --git a/configure b/configure
index 2422f2d..6e89815 100755
--- a/configure
+++ b/configure
@@ -33,7 +33,6 @@ prefix=""
 interp_prefix="/usr/gnemul/qemu-%M"
 static="no"
 sysconfdir=""
-cpuconfdir=""
 sparc_cpu=""
 cross_prefix=""
 cc="gcc"
@@ -495,8 +494,6 @@ for opt do
   ;;
   --sysconfdir=*) sysconfdir="$optarg"
   ;;
-  --cpuconfdir=*) cpuconfdir="$optarg"
-  ;;
   --disable-sdl) sdl="no"
   ;;
   --enable-sdl) sdl="yes"
@@ -788,7 +785,6 @@ echo "  --make=MAKE              use specified make [$make]"
 echo "  --install=INSTALL        use specified install [$install]"
 echo "  --static                 enable static build [$static]"
 echo "  --sysconfdir=PATH        install config in PATH"
-echo "  --cpuconfdir=PATH        install cpu model config in PATH"
 echo "  --enable-debug-tcg       enable TCG debugging"
 echo "  --disable-debug-tcg      disable TCG debugging (default)"
 echo "  --enable-debug           enable common debug build options"
@@ -2213,9 +2209,6 @@ else
   if test -z "$sysconfdir" ; then
       sysconfdir="${prefix}/etc"
   fi
-  if test -z "$cpuconfdir" ; then
-      cpuconfdir="$sysconfdir/qemu"
-  fi
 fi
 
 if test -f kvm/kernel/configure; then
@@ -2324,7 +2317,6 @@ if test "$mingw32" = "yes" ; then
   echo "CONFIG_QEMU_CONFDIR=\"$sysconfdir\"" >> $config_host_mak
 else
   echo "CONFIG_QEMU_CONFDIR=\"${sysconfdir}/qemu\"" >> $config_host_mak
-  echo "CONFIG_QEMU_CPUCONFDIR=\"${cpuconfdir}\"" >> $config_host_mak
 fi
 
 case "$cpu" in
@@ -2630,7 +2622,6 @@ echo "bindir=\${prefix}$binsuffix" >> $config_host_mak
 echo "mandir=\${prefix}$mansuffix" >> $config_host_mak
 echo "datadir=\${prefix}$datasuffix" >> $config_host_mak
 echo "sysconfdir=$sysconfdir" >> $config_host_mak
-echo "cpuconfdir=$cpuconfdir" >> $config_host_mak
 echo "docdir=\${prefix}$docsuffix" >> $config_host_mak
 echo "MAKE=$make" >> $config_host_mak
 echo "INSTALL=$install" >> $config_host_mak
diff --git a/sysconfigs/target/cpu-x86_64.conf b/sysconfigs/target/cpu-x86_64.conf
deleted file mode 100644
index 3902189..0000000
--- a/sysconfigs/target/cpu-x86_64.conf
+++ /dev/null
@@ -1 +0,0 @@
-# The CPU models from this file are now built-in in the QEMU source code
diff --git a/vl.c b/vl.c
index 9c6a9eb..249b014 100644
--- a/vl.c
+++ b/vl.c
@@ -5126,14 +5126,6 @@ int main(int argc, char **argv, char **envp)
         }
     }
 
-    /* load local cpu config
-     */
-    if (qemu_read_config_file(
-        CONFIG_QEMU_CPUCONFDIR "/cpu-" TARGET_ARCH ".conf",
-        defconfig_verbose) == -EINVAL) {
-            exit(1);
-    }
-
     /* second pass of CLI options -- bring in any -readconfig flags
      */
     optind = 1;
-- 
1.7.11.4

